%define anolis_release 3

Name:      thai-scalable-fonts
Version:   0.7.3
Release:   %{anolis_release}%{?dist}
Summary:   Thai TrueType fonts
License:   GPLv2+ and Bitstream Vera
URL:       http://linux.thai.net/projects/thaifonts-scalable
Source0:   http://linux.thai.net/pub/ThaiLinux/software/fonts-tlwg/fonts-tlwg-%{version}.tar.xz
Source1:   90-thai-scalable-synthetic-garuda.conf
Source2:   90-thai-scalable-synthetic-kinnari.conf
Source3:   90-thai-scalable-synthetic-umpush.conf
Source4:   90-thai-scalable-synthetic-laksaman.conf
Source5:   65-0-thai-scalable-norasi.conf
Source6:   65-0-thai-scalable-waree.conf
Source11:  thai-scalable-garuda.metainfo.xml
Source12:  thai-scalable-kinnari.metainfo.xml
Source13:  thai-scalable-loma.metainfo.xml
Source14:  thai-scalable-norasi.metainfo.xml
Source15:  thai-scalable-purisa.metainfo.xml
Source16:  thai-scalable-sawasdee.metainfo.xml
Source17:  thai-scalable-tlwgmono.metainfo.xml
Source18:  thai-scalable-tlwgtypewriter.metainfo.xml
Source19:  thai-scalable-tlwgtpist.metainfo.xml
Source20:  thai-scalable-tlwgtypo.metainfo.xml
Source21:  thai-scalable-umpush.metainfo.xml
Source22:  thai-scalable-waree.metainfo.xml
Source23:  thai-scalable-laksaman.metainfo.xml

BuildRequires: make
BuildRequires: fontpackages-devel
BuildRequires: fontforge >= 20071110

BuildArch: noarch

%description
fonts-tlwg provides a collection of free scalable Thai fonts.

Thai scalable fonts included here are:
- Kinnari, Garuda and Norasi from the National Font project
- DB Thai Text from DearBook
- TlwgMono, PseudoMono, Purisa by TLWG

%package common
Summary:   Common files of %{name}
Requires:  fontpackages-filesystem

%description common
fonts-tlwg provides a collection of free scalable Thai fonts.

This package consists of files used by other %{name} packages.

%package -n thai-scalable-garuda-fonts
Summary:        Thai Garuda fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-garuda-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Garuda family of Thai fonts.

%package -n thai-scalable-kinnari-fonts
Summary:        Thai Kinnari fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-kinnari-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Kinnari family of Thai fonts.

%package -n thai-scalable-loma-fonts
Summary:        Thai Loma fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-loma-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Loma family of Thai fonts.

%package -n thai-scalable-norasi-fonts
Summary:        Thai Norasi fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-norasi-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Norasi family of Thai fonts.

%package -n thai-scalable-purisa-fonts
Summary:        Thai Purisa fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-purisa-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Purisa family of Thai fonts.

%package -n thai-scalable-sawasdee-fonts
Summary:        Thai Sawasdee fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-sawasdee-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Sawasdee family of Thai fonts.

%package -n thai-scalable-tlwgmono-fonts
Summary:        Thai TlwgMono fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-tlwgmono-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the TlwgMono family of Thai fonts.

%package -n thai-scalable-tlwgtypewriter-fonts
Summary:        Thai TlwgTypewriter fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-tlwgtypewriter-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the TlwgTypewriter family of Thai fonts.

%package -n thai-scalable-tlwgtypist-fonts
Summary:        Thai TlwgTypist fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-tlwgtypist-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the TlwgTypist family of Thai fonts.

%package -n thai-scalable-tlwgtypo-fonts
Summary:        Thai TlwgTypo fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-tlwgtypo-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the TlwgTypo family of Thai fonts.

%package -n thai-scalable-umpush-fonts
Summary:        Thai Umpush fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-umpush-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Umpush family of Thai fonts.

%package -n thai-scalable-laksaman-fonts
Summary:        Thai Laksaman fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-laksaman-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Laksaman family of Thai fonts.

%package -n thai-scalable-waree-fonts
Summary:        Thai Waree fonts
Requires:       %{name}-common = %{version}-%{release}

%description -n thai-scalable-waree-fonts
fonts-tlwg provides a collection of free scalable Thai fonts.

This package provides the Waree family of Thai fonts.

%prep
%autosetup -p1 -n fonts-tlwg-%{version}

%build
%configure --with-otfdir=%{_fontdir}
%make_build

%install
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

make install DESTDIR=%{buildroot} INSTALL="install -p"

rm %{buildroot}%{_datadir}/fontconfig/conf.avail/64-15-laksaman.conf
rm %{buildroot}%{_datadir}/fontconfig/conf.avail/64-*-tlwg*.conf
rm %{buildroot}%{_datadir}/fontconfig/conf.avail/89-tlwg*-synthetic.conf

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/90-thai-scalable-synthetic-garuda.conf
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/90-thai-scalable-synthetic-kinnari.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/90-thai-scalable-synthetic-umpush.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/90-thai-scalable-synthetic-laksaman.conf

install -m 0644 -p %{SOURCE5} \
        %{buildroot}%{_fontconfig_templatedir}/65-0-thai-scalable-norasi.conf
install -m 0644 -p %{SOURCE6} \
        %{buildroot}%{_fontconfig_templatedir}/65-0-thai-scalable-waree.conf

for fconf in 90-thai-scalable-synthetic-garuda.conf \
             90-thai-scalable-synthetic-kinnari.conf \
             90-thai-scalable-synthetic-umpush.conf \
	     90-thai-scalable-synthetic-laksaman.conf \
	     65-0-thai-scalable-norasi.conf \
	     65-0-thai-scalable-waree.conf; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

install -Dm 0644 -p %{SOURCE11} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-garuda.metainfo.xml
install -Dm 0644 -p %{SOURCE12} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-kinnari.metainfo.xml
install -Dm 0644 -p %{SOURCE13} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-loma.metainfo.xml
install -Dm 0644 -p %{SOURCE14} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-norasi.metainfo.xml
install -Dm 0644 -p %{SOURCE15} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-purisa.metainfo.xml
install -Dm 0644 -p %{SOURCE16} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-sawasdee.metainfo.xml
install -Dm 0644 -p %{SOURCE17} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-tlwgmono.metainfo.xml
install -Dm 0644 -p %{SOURCE18} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-tlwgtypewriter.metainfo.xml
install -Dm 0644 -p %{SOURCE19} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-tlwgtpist.metainfo.xml
install -Dm 0644 -p %{SOURCE20} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-tlwgtypo.metainfo.xml
install -Dm 0644 -p %{SOURCE21} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-umpush.metainfo.xml
install -Dm 0644 -p %{SOURCE22} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-waree.metainfo.xml
install -Dm 0644 -p %{SOURCE23} \
        %{buildroot}%{_datadir}/appdata/thai-scalable-laksaman.metainfo.xml

%files common
%doc NEWS COPYING README AUTHORS 

%files -n thai-scalable-waree-fonts
%config %{_sysconfdir}/fonts/conf.d/65-0-thai-scalable-waree.conf
%config %{_fontconfig_templatedir}/65-0-thai-scalable-waree.conf
%{_datadir}/appdata/thai-scalable-waree.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Waree*.otf

%files -n thai-scalable-laksaman-fonts
%config %{_sysconfdir}/fonts/conf.d/90-thai-scalable-synthetic-laksaman.conf
%config %{_fontconfig_templatedir}/90-thai-scalable-synthetic-laksaman.conf
%{_datadir}/appdata/thai-scalable-laksaman.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Laksaman*.otf

%files -n thai-scalable-umpush-fonts
%config %{_sysconfdir}/fonts/conf.d/90-thai-scalable-synthetic-umpush.conf
%config %{_fontconfig_templatedir}/90-thai-scalable-synthetic-umpush.conf
%{_datadir}/appdata/thai-scalable-umpush.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Umpush*.otf

%files -n thai-scalable-tlwgtypo-fonts
%{_datadir}/appdata/thai-scalable-tlwgtypo.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/TlwgTypo*.otf

%files -n thai-scalable-tlwgtypist-fonts
%{_datadir}/appdata/thai-scalable-tlwgtpist.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/TlwgTypist*.otf

%files -n thai-scalable-tlwgtypewriter-fonts
%{_datadir}/appdata/thai-scalable-tlwgtypewriter.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/TlwgTypewriter*.otf

%files -n thai-scalable-tlwgmono-fonts
%{_datadir}/appdata/thai-scalable-tlwgmono.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/TlwgMono*.otf

%files -n thai-scalable-sawasdee-fonts
%{_datadir}/appdata/thai-scalable-sawasdee.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Sawasdee*.otf

%files -n thai-scalable-purisa-fonts
%{_datadir}/appdata/thai-scalable-purisa.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Purisa*.otf

%files -n thai-scalable-norasi-fonts
%config %{_sysconfdir}/fonts/conf.d/65-0-thai-scalable-norasi.conf 
%config %{_fontconfig_templatedir}/65-0-thai-scalable-norasi.conf
%{_datadir}/appdata/thai-scalable-norasi.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Norasi*.otf

%files -n thai-scalable-loma-fonts
%{_datadir}/appdata/thai-scalable-loma.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Loma*.otf

%files -n thai-scalable-kinnari-fonts
%config %{_sysconfdir}/fonts/conf.d/90-thai-scalable-synthetic-kinnari.conf
%config %{_fontconfig_templatedir}/90-thai-scalable-synthetic-kinnari.conf
%{_datadir}/appdata/thai-scalable-kinnari.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Kinnari*.otf

%files -n thai-scalable-garuda-fonts
%config %{_sysconfdir}/fonts/conf.d/90-thai-scalable-synthetic-garuda.conf
%config %{_fontconfig_templatedir}/90-thai-scalable-synthetic-garuda.conf
%{_datadir}/appdata/thai-scalable-garuda.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/thai-scalable-fonts/Garuda*.otf

%changelog
* Sat Apr 15 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 0.7.3-3
- Optimise spec file

* Sat Apr 15 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 0.7.3-2
- Optimise spec file

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.3-1
- Init from upstream version 0.7.3
